Index: tmp/org.txm.cooccurrence.rcp/plugin.xml
===================================================================
--- tmp/org.txm.cooccurrence.rcp/plugin.xml	(revision 1220)
+++ tmp/org.txm.cooccurrence.rcp/plugin.xml	(revision 1221)
@@ -105,6 +105,15 @@
          </command>
       </menuContribution>
       <menuContribution
+            locationURI="popup:org.txm.index.rcp.editors.PartitionIndexEditor">
+         <command
+               commandId="org.txm.cooccurrence.rcp.handlers.ComputeCooccurrences"
+               icon="icons/cooccurrences.png"
+               label="%command.name.4"
+               style="push">
+         </command>
+      </menuContribution>
+      <menuContribution
             locationURI="popup:org.txm.index.rcp.editors.DictionnaryEditor">
          <command
                commandId="org.txm.cooccurrence.rcp.handlers.ComputeCooccurrences"
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 1220)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 1221)
@@ -538,10 +538,10 @@
 	
 	@Override
 	public void setFocus() {
-		// TODO Auto-generated method stub
-		if (queryWidget != null && !queryWidget.isDisposed()) {
-			queryWidget.setFocus();
-		}
+		// FIXME: this code break the synchronized link with concordance and edition => the arrow navigation doesn't work since the focus of the chart composite is lost
+//		if (queryWidget != null && !queryWidget.isDisposed()) {
+//			queryWidget.setFocus();
+//		}
 	}
 
 	/**
Index: tmp/org.txm.progression.rcp/plugin.xml
===================================================================
--- tmp/org.txm.progression.rcp/plugin.xml	(revision 1220)
+++ tmp/org.txm.progression.rcp/plugin.xml	(revision 1221)
@@ -93,6 +93,15 @@
          </command>
       </menuContribution>
       <menuContribution
+            locationURI="popup:org.txm.index.rcp.editors.PartitionIndexEditor">
+         <command
+               commandId="org.txm.progression.rcp.handlers.ComputeProgression"
+               icon="icons/functions/progression.png"
+               label="%command.name.3"
+               style="push">
+         </command>
+      </menuContribution>
+      <menuContribution
             locationURI="popup:org.txm.index.rcp.editors.DictionnaryEditor">
          <command
                commandId="org.txm.progression.rcp.handlers.ComputeProgression"
Index: tmp/org.txm.concordance.rcp/plugin.xml
===================================================================
--- tmp/org.txm.concordance.rcp/plugin.xml	(revision 1220)
+++ tmp/org.txm.concordance.rcp/plugin.xml	(revision 1221)
@@ -112,6 +112,15 @@
          </command>
       </menuContribution>
       <menuContribution
+            locationURI="popup:org.txm.index.rcp.editors.PartitionIndexEditor">
+         <command
+               commandId="org.txm.concordance.rcp.handlers.ComputeConcordance"
+               icon="icons/concordance.png"
+               label="%command.name.1"
+               style="push">
+         </command>
+      </menuContribution>
+      <menuContribution
             locationURI="popup:org.txm.index.rcp.editors.DictionnaryEditor">
          <command
                commandId="org.txm.concordance.rcp.handlers.ComputeConcordance"
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java	(revision 1220)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java	(revision 1221)
@@ -54,8 +54,6 @@
 			return false;
 		}
 
-		Object selection = this.getCorporaViewSelectedObject(event);
-		
 		Concordance concordance = null;
 
 		// From link: creating from parameter node
@@ -65,6 +63,8 @@
 		}
 		// From view result node
 		else	{
+			Object selection = this.getCorporaViewSelectedObject(event);
+			
 			// Creating from Corpus
 			if (selection instanceof CQPCorpus) {
 				CQPCorpus corpus = (CQPCorpus) selection;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 1220)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 1221)
@@ -1208,26 +1208,37 @@
 	}
 
 	/**
-	 * Adds a mouse adapter to the specified table column  that executes a command link specified by its id on double click event.
+	 * Adds a mouse adapter to the specified table column that executes a command link specified by its id on double click event.
 	 * @param table
-	 * @param column column index >= 0; if == -1, the parameter is ignored
+	 * @param column
 	 * @param commandId
 	 */
 	public static void addDoubleClickCommandListener(final Table table, final int column, final String commandId)	{
+		addDoubleClickCommandListener(table, column, column, commandId);
+	}
 
+	/**
+	 * Adds a mouse adapter to the specified table columns range that executes a command link specified by its id on double click event.
+	 * @param table
+	 * @param startingColumn
+	 * @param endingColumn
+	 * @param commandId
+	 */
+	public static void addDoubleClickCommandListener(final Table table, final int startingColumn, final int endingColumn, final String commandId)	{
 		table.addMouseListener(new MouseAdapter() {
 			@Override
 			public void mouseDoubleClick(MouseEvent e) {
-				Point mouseposition = new Point(e.x + table.getHorizontalBar().getSelection(), e.y);
-				if (column > 0 && column != getPointedColumn(table, mouseposition)) {
-					return;
+				Point mousePosition = new Point(e.x + table.getHorizontalBar().getSelection(), e.y);
+				int pointedColumn = getPointedColumn(table, mousePosition);
+				if (pointedColumn >= startingColumn && pointedColumn <= endingColumn) {
+					BaseAbstractHandler.executeCommand(commandId);	
 				}
-				BaseAbstractHandler.executeCommand(commandId);
+				return;
 			}
 		});
 	}
+	
 
-
 	/**
 	 * Adds a mouse adapter to the specified composite that executes a command link specified by its id on double click event.
 	 * @param table
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/PartitionIndexEditor.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/PartitionIndexEditor.java	(revision 1220)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/PartitionIndexEditor.java	(revision 1221)
@@ -530,7 +530,7 @@
 
 		// Add double click, "Send to" command
 		TXMEditor.addDoubleClickCommandListener(viewer.getTable(), 1, "org.txm.concordance.rcp.handlers.ComputeConcordance"); //$NON-NLS-1$
-		TXMEditor.addDoubleClickCommandListener(viewer.getTable(), 2, "org.txm.progression.rcp.handlers.ComputeProgression"); //$NON-NLS-1$
+		TXMEditor.addDoubleClickCommandListener(viewer.getTable(), 2, viewer.getTable().getColumnCount() - 1, "org.txm.progression.rcp.handlers.ComputeProgression"); //$NON-NLS-1$
 		
 		// Register the context menu
 		TXMEditor.initContextMenu(this.viewer.getTable(), this.getSite(), this.viewer);
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 1220)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 1221)
@@ -229,78 +229,13 @@
 		
 		// extended parameters
 		
-		// FIXME: old version
 		// Filters
-//		Composite filtercontrols = new Composite(extendedParametersComposite, SWT.NONE);
-//		FormData filtersLayoutData = new FormData();
-//		filtersLayoutData.top = new FormAttachment(queryArea, 0);
-//		filtersLayoutData.bottom = new FormAttachment(100);
-//		filtersLayoutData.left = new FormAttachment(0);
-//		filtersLayoutData.right = new FormAttachment(100);
-//		filtercontrols.setLayoutData(filtersLayoutData);
-//
-//		GridLayout gridLayout = new GridLayout();
-//		gridLayout.numColumns = 9;
-//		gridLayout.makeColumnsEqualWidth = false;
-//		filtercontrols.setLayout(gridLayout);
-//
-//		Label thresholds = new Label(filtercontrols, SWT.NONE);
-//		thresholds.setText(TXMCoreMessages.common_thresholds);
-//		thresholds.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
-//
-//		Label lFmin = new Label(filtercontrols, SWT.NONE);
-//		lFmin.setText(TXMCoreMessages.common_fMin);
-//		lFmin.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
-//
-//		GridData fieldsGridData = new GridData(GridData.VERTICAL_ALIGN_END);
-//		fieldsGridData.minimumWidth = 100;
-//
-//		fMinSpinner = new Spinner(filtercontrols, SWT.BORDER);
-//		fMinSpinner.setMinimum(0);
-//		fMinSpinner.setMaximum(9999999);
-//		fMinSpinner.setIncrement(1);
-//		fMinSpinner.setPageIncrement(100);
-//		fMinSpinner.setLayoutData(fieldsGridData);
-//		fMinSpinner.addKeyListener(computeKeyListener);
-//		fMinSpinner.addSelectionListener(computeSelectionListener);
-//
-//		Label lFmax = new Label(filtercontrols, SWT.NONE);
-//		lFmax.setText(TXMCoreMessages.common_fMax);
-//		lFmax.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
-//
-//		fMaxSpinner = new Spinner(filtercontrols, SWT.BORDER);
-//		fMaxSpinner.setMinimum(0);
-//		fMaxSpinner.setMaximum(9999999);
-//		fMaxSpinner.setIncrement(1);
-//		fMaxSpinner.setPageIncrement(100);
-//		fMaxSpinner.setLayoutData(fieldsGridData);
-//		fMaxSpinner.addKeyListener(computeKeyListener);
-//		fMaxSpinner.addSelectionListener(computeSelectionListener);
-//
-//		Label lVmax = new Label(filtercontrols, SWT.NONE);
-//		lVmax.setText(TXMCoreMessages.VMAX_1);
-//		lVmax.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
-//
-//		vMaxSpinner = new Spinner(filtercontrols, SWT.BORDER);
-//		vMaxSpinner.setMinimum(0);
-//		vMaxSpinner.setMaximum(9999999);
-//		vMaxSpinner.setIncrement(1);
-//		vMaxSpinner.setPageIncrement(100);
-//		vMaxSpinner.setLayoutData(fieldsGridData);
-//		vMaxSpinner.addKeyListener(computeKeyListener);
-//		vMaxSpinner.addSelectionListener(computeSelectionListener);
-
-		
-		// FIXME: new version
-		// Filters
 		ThresholdsGroup thresholdsGroup = new ThresholdsGroup(this.getExtendedParametersGroup(), this);
 		this.fMinSpinner = thresholdsGroup.getFMinSpinner();
 		this.fMaxSpinner = thresholdsGroup.getFMaxSpinner();
 		this.vMaxSpinner = thresholdsGroup.getVMaxSpinner();
 		
 		
-		
-		
 		Label lNLigneppage = new Label(this.getExtendedParametersGroup(), SWT.NONE);
 		lNLigneppage.setText(IndexUIMessages.IndexEditor_8);
 		
@@ -505,7 +440,7 @@
 
 		// Add double click, "Send to" command
 		TXMEditor.addDoubleClickCommandListener(viewer.getTable(), 1, "org.txm.concordance.rcp.handlers.ComputeConcordance"); //$NON-NLS-1$
-		TXMEditor.addDoubleClickCommandListener(viewer.getTable(), 2, "org.txm.progression.rcp.handlers.ComputeProgression"); //$NON-NLS-1$
+		TXMEditor.addDoubleClickCommandListener(viewer.getTable(), 2, viewer.getTable().getColumnCount() - 1, "org.txm.progression.rcp.handlers.ComputeProgression"); //$NON-NLS-1$
 		
 		// Register the context menu
 		TXMEditor.initContextMenu(this.viewer.getTable(), this.getSite(), this.viewer);
Index: tmp/org.txm.index.rcp/plugin.xml
===================================================================
--- tmp/org.txm.index.rcp/plugin.xml	(revision 1220)
+++ tmp/org.txm.index.rcp/plugin.xml	(revision 1221)
@@ -288,32 +288,10 @@
                variable="activePart">
             <instanceof
                   value="org.txm.index.rcp.editors.IndexEditor">
-       
-      <definition
-            id="PartitionIndexEditorActive">
-         <with
-               variable="activePart">
-            <instanceof
-                  value="org.txm.index.rcp.editors.IndexEditor">
-            </instanceof>
+        </instanceof>
          </with>
       </definition>
       <definition
-            id="OnePartitionIndexSelected">
-         <with
-               variable="selection">
-            <iterate
-                  ifEmpty="false"
-                  operator="and">
-               <instanceof
-                     value="org.txm.index.core.functions.PartitionIndex">
-               </instanceof>
-            </iterate>
-         </with>
-      </definition>     </instanceof>
-         </with>
-      </definition>
-      <definition
             id="LexiconEditorActive">
          <with
                variable="activePart">
@@ -327,29 +305,7 @@
          <with
                variable="activePart">
             <instanceof
-                  value="org.txm.index.rcp.editors.IndexEditor">
-               <definition
-                     id="PartitionIndexEditorActive">
-                  <with
-                        variable="activePart">
-                     <instanceof
-                           value="org.txm.index.rcp.editors.IndexEditor">
-                     </instanceof>
-                  </with>
-               </definition>
-               <definition
-                     id="OnePartitionIndexSelected">
-                  <with
-                        variable="selection">
-                     <iterate
-                           ifEmpty="false"
-                           operator="and">
-                        <instanceof
-                              value="org.txm.index.core.functions.Index">
-                        </instanceof>
-                     </iterate>
-                  </with>
-               </definition>
+                  value="org.txm.index.rcp.editors.PartitionIndexEditor">
             </instanceof>
          </with>
       </definition>
@@ -394,6 +350,9 @@
            <reference
                  definitionId="LexiconEditorActive">
            </reference>
+           <reference
+                 definitionId="PartitionIndexEditorActive">
+           </reference>
          
          </or>
          <reference
@@ -414,6 +373,9 @@
                <reference
                      definitionId="LexiconEditorActive">
                </reference>
+               <reference
+                     definitionId="PartitionIndexEditorActive">
+               </reference>
             </or>
             
             
@@ -436,6 +398,9 @@
                <reference
                      definitionId="LexiconEditorActive">
                </reference>
+               <reference
+                     definitionId="PartitionIndexEditorActive">
+               </reference>
             </or>
                <reference
                      definitionId="SendSelectionContextNotActive">
Index: tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java
===================================================================
--- tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 1220)
+++ tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 1221)
@@ -451,6 +451,10 @@
 		}
 	}
 
+	/**
+	 * Gets the column names.
+	 * @return
+	 */
 	public Vector getColNames() {
 		try {
 			return statsData.getColNames();
@@ -467,14 +471,22 @@
 
 	@Override
 	public String getDetails() {
+		// FIXME: to do
 		return "";
 	}
 
+	/**
+	 * Gets the minimum frequency filter.
+	 * @return
+	 */
 	public int getFMin() {
 		return statsData.getFMin();
 	}
 
-
+	/**
+	 * Gets the maximum frequency filter.
+	 * @return
+	 */
 	public int getFMinFilter() {
 		return this.fMinFilter;
 	}
